{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}
{% load custom_tags %}
{% block content %}
<!--<link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">-->
    <head>
        <link rel="stylesheet" type="text/css" href="{% static 'css/grid-style.css' %}">
        <title>{% block title %} Orders List {% endblock %}</title>
    </head>
    <form class="from-horizontal" method="post" enctype="multipart/form-data">
        {% csrf_token %}
    <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
    <h1 style="margin-top:0px" class="back-list">Orders List</h1>
    
    <section class="content-header col-content">
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 col-customer">
                    <button style="background-color: black; margin-top:10px; float: right" type="submit" name="export" class="export">Export</button>
            </div>
        </div>
    </section>

    <section>
            {% if orderhead %}
            <table class="table no-margin">
                <thead>
                    <tr>
                        <th>Order No</th>
                         <th>DMS No</th>
                        <th>Order Date</th>
                        <th>Dispatch Date</th>
                        <th>Invoice Value</th>
                        <!--<th>Discount </th>-->
                        <!--<th>Payable </th>-->
                        <th>Status</th>
                        <th>Warehouse </th>
                        {% if request.user|has_group:"WHS" %}
                        <th>Warehouse User</th>
                        {% endif %}
                        <th>SR </th>
                        <th>Dealer </th>
                    </tr>
                </thead>
                <tbody>
                    {% for obj in orderhead %}
                        <tr>
                            <td>
                                <a href="/user/warehouse-order-detail/{{obj.order_number}}">
                                    {{obj.order_number}}
                                </a>
                            </td>
                            {% if obj.DMS_order_number %}
                            <td><a href="{% url 'customerorderdetail' %}?orderno={{obj.order_number}}&&dealerid={{obj.dealer_id}}">{{obj.DMS_order_number}}</a></td>
                            {% else%}
                            <td><span >{{obj.DMS_order_number| default:"---"}}</span></td>
                            {% endif %}
                            <td>{{obj.order_date|date|default:'---'}}</td>
                            <td>{{obj.Dispatched_Date|date|default:'---'}}</td>
                            <td>₹ {{obj.total_amount|floatformat:2|intcomma}}</td>
                            <!--<td>₹ {{obj.discount_amount|floatformat:2|intcomma}}</td>-->
                            <!--<td>-->
                                <!--{% if obj.payable_amount > 0 %}-->
                                   <!--₹ {{obj.payable_amount|floatformat:2|intcomma}}-->
                                <!--{% else %}-->
                                    <!-- -&#45;&#45;-->
                                <!--{% endif %}-->
                            <!--</td>-->
                            <td><span class="label label-info {{obj.status}}">{{obj.get_status_display}}</span></td>
                            <td>{{obj.warehouse_code|default:"NA"}}</td>
                            {% if request.user|has_group:"WHS" %}
                            <td>{{obj.warehouse_manager.first_name|default:"---"}}</td>
                            {% endif %}
                            <td>{{obj.sr_id.first_name}} {{obj.sr_id.last_name}}</td>
                            <td>
                                <a href="{% url 'dealer_profile' obj.dealer.pk %}">
                                    {{obj.dealer.user_code}}.{{obj.company}}
                                </a>
                            </td>

                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        {% else %}
            <span>Data is Not Found!!!</span>
        {% endif %}
    </section>
</form>
{% endblock %}
